:root {
  --altura-navbar: 120px; /* altura real da primeira navbar */
}

.navbar-principal {
  min-height: var(--altura-navbar);
  padding-bottom: 0.75rem;
}

.navbar-grupos {
  top: var(--altura-navbar);
}


.navbar{
    background-color: rgb(226, 226, 226);
        padding-top: 0px;
    padding-bottom: 0.1rem;
}
html, body {
  overflow-x: hidden;
  width: 100%;
}
.mudarcor{
    color: black;
    text-decoration: none;
          transition: all 0.5s ease; /* deixa o efeito suave */
}
.mudarcor:hover{
    text-decoration: none;

}
.grupo-espaco{
  margin-left: 2px;
  text-align: center;
}

.nav-item {
  margin-top: 10px;
  font-family: "Bebas Neue", sans-serif;
  font-weight: 100;
  font-style: normal;
  
}
.logo{
    min-width: 90px;
    max-width: 100px;
    margin-left: 15px;
    height: auto;
    transition: all 0.5s ease; /*atraso no crescimento*/

}
.logo:hover{
          transform: scale(1.15); /* aumenta 15%*/
}

.botao-pesquisa {
  margin: 5px auto;
  width: 100%;
  background-color: #f2f2f2;
  display: flex;
  border: 10px;
  border-radius: 5px 45px 5px 45px;
  padding: 3px 25px;
}

.divpesquisa input[type="text"]:focus {
  outline: none;
  flex: 1;

}

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;

} 


.grupo-pesquisa {
  display: flex;
  width: 100%;
      transition: all 0.5s ease; /*atraso no crescimento*/
  max-width: 700px;
  margin: 5px auto;
  background-color: #f2f2f2;
  border-radius: 5px 45px 5px 45px;
  padding: 3px 10px;
}

.botao-busca {
  border: none;
  background: transparent;
  font-size: 18px;
  cursor: pointer;
  padding: 10px;
  border-radius: 0 45px 45px 0;
}

.botao-inscricao {
  display: block;
  width: 100%;
  text-align: center;
  margin-top: 10px;
}

@media (max-width: 768px) {
  .botao-pesquisa {
    width: 90%;
    /* quando a tela for menor que 768px */
  }
}

h4{
  color: green;
}
.icon{
  max-width: 20px;

}
.btn-carrinho{
  max-width: 10px;
  max-height: 10px;
}
.compra{
  font-size: 0.8em;
  text-align: center;
}
.produtos{
  max-width: 150px;
}

.card {
  filter: brightness(90%);
  transition: filter 0.3s ease;
}
.card-compra{
  filter: brightness(100%);
}

.card:hover {
  filter: brightness(100%);
}
/* .card-produtos{
  min-width: 100%;
  height: 150px;
} */
.card-produtos{
  width: auto;
  height: 150px;
}


@media (max-width: 992px) {
    .carrinho-fixo {
        position: static;
        width: 100%;
        margin-top: 20px;
    }
}
/* Efeito de sumir e aparecer produtos. */
.grupo{
  color: black;
}
.fora {    /* Torna o elemento invisível */
    opacity: 0%;

    transition: all 1s;
}

.dentro {
    opacity: 100%;
    filter: blur(0px);
    transition: all 2s;
}
A{
  text-decoration: none;
  color: rgb(255, 255, 255);
}

.btn-flutuante {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1050; /* Garante que fique acima de outros elementos */
    border-radius: 50px;
    padding: 15px 25px;
    box-shadow: 2px 2px 10px rgba(0,0,0,0.2);
}
.btn-carrinho{
  max-width: 20px;
}
